qualityarmory banner

About QualityArmory

Are you looking for a plugin that enables gun usage within your server’s structure? Perhaps QualityArmory can give you everything you need. However, if you’re familiar with the CrackShot plugin, you should know that the project was discontinued. Therefore, we can say that QualityArmory is a “continuation” of that project.

This plugin will add guns to your Minecraft server while leaving the base game unaffected. It is an excellent way of providing your players with an extra layer of fun while keeping your server’s infrastructure 100% safe. As an extra note, QualityArmory will not replace or modify items that already exist within the game’s architecture.

Requirements and Compatibility

For starters, you should know that QualityArmory is only compatible with Minecraft versions from 1.9 to 1.15. The plugin hasn’t been updated since March 2020, but it hasn’t been marked as abandoned. Thus, it’s possible that new updates become available in the future.

It is also worth noting that if you have the EssentialsX plugin installed, it can make other players invulnerable after they teleport. Thus, it prevents players from receiving damage from shots. You can stop this from happening by changing the value teleport_vulnerability from four to zero in that plugin’s config.yml file.

How to Install

You can get started with this plugin by following the standard installation procedure. If this is your first time installing a plugin, follow these steps:

  • Download the latest release.
  • Move the new file from the downloads folder to the server’s plugin directory.
  • Finish the process by restarting your server.
  • Done! You should be able to start using all the new features that QualityArmory has available for you. Read below to get to know what amazing features are waiting for you!

Features

  • As was mentioned above, the plugin enables gun usage, but it also allows you to create new weapons in case you’re feeling creative.
  • New guns will be available upon installing the plugin. Some of these additions are the P30, the AK-37, and the Remmington. This list is limited, which means there are more guns available for the first use.
  • You don’t need to modify your server’s resource pack as this plugin has a built-in one. Thus, every player should be able to see the guns without you changing anything.
  • Its API permits other plugins to add more guns.

Last but not least, please note that this plugin collects data with bStats. It allows the developer to obtain information about the servers that use the plugin and other anonymous data.

Moreover, it has an auto-update feature. You can always disable it by modifying the config.yml file.

Additional Information

If you always wished that guns were available in Minecraft, you don’t have to wish so anymore. With QualityArmory, you will be able to use all your favorite guns and even create them if they’re not available in the standard ones.

You can also modify the already existent guns’ data, but first, you’ll have to set to “true” the value allowUserModifications. When you do so, the plugin will not update those files whenever a new version is available.

Download QualityArmory Now